petsc-3.4.2 2013-07-02

# VecScatterFinalizeForGPU

Finalizes a generalized scatter from one vector to another for GPU based computation. Effectively, this function resets the temporary buffer flags. Currently, this only used in the context of the parallel SpMV call in in MatMult_MPIAIJCUSP (in mpi/mpicusp/mpiaijcusp.cu) or MatMult_MPIAIJCUSPARSE (in mpi/mpicusparse/mpiaijcusparse.cu). Once the MatMultAdd is finished, the GPU temporary buffers used for messaging are no longer valid.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecScatterFinalizeForGPU(VecScatter inctx)

### Input Parameters

| inctx | - scatter context generated by VecScatterCreate()

Level:intermediate
Location:src/vec/vec/utils/veccusp/vscatcusp.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages